## amCharts 4

You are now in possession of amCharts 4 - the most advanced JavaScript dataviz
library ever.

For a short overview of features, visit [this page](https://www.amcharts.com/v4).


### Contents

|Directory|Description|
|---------|-----------|
|/|Root directory containing library files and related files|
|/deps/|3rd party libraries and other dependencies|
|/examples/|Collection of working examples|
|/lang/|Translation files / locales|
|/themes/|Theme files|


### Documentation

For extensive documentation, including getting started tutorials, as well
as class reference visit [V4 documentation website](https://www.amcharts.com/docs/v4).


### Other ways to get amCharts 4

* [NPM package](https://www.npmjs.com/package/@amcharts/amcharts4)
* [GitHub repository](https://github.com/amcharts/amcharts4)
* [ZIP download](https://www.amcharts.com/download/download-v4/)


### CDN

Copy of the contents of this package is available as a free CDN service,
accessible via URL `https://www.amcharts.com/lib/4/...`, e.g.:

```
<script src="https://www.amcharts.com/lib/4/core.js"></script>
<script src="https://www.amcharts.com/lib/4/charts.js"></script>
<script src="https://www.amcharts.com/lib/4/themes/animated.js"></script>
```


### Related packages

This package inlcudes `MapChart` (geographical maps) functionality. However,
it does not include geodata itself (map files) needed to instantiate the maps.

Those are available via separate package:

* [NPM package](https://www.npmjs.com/package/@amcharts/amcharts4-geodata)
* [GitHub repository](https://github.com/amcharts/amcharts4/tree/master/dist/geodata)
* [ZIP download](https://www.amcharts.com/download/download-v4/)


### License

If you have a commercial amCharts 4 license, this software is covered by your
license, which supercedes any other license bundled with this package.

If you don't hav a commercial license, the use of this software is covered by
a freeware license. Refer to included LICENSE file. The license is also
[available online](https://github.com/amcharts/amcharts4/blob/master/dist/script/LICENSE).


### Questions?

[Contact amCharts](mailto:contact@amcharts.com).


### Found a bug?

Open an [issue](https://github.com/amcharts/amcharts4/issues).